VERSION 5.00
Begin VB.Form dlgCategoryDependencySpecification 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Dialog Caption"
   ClientHeight    =   5040
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   4815
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5040
   ScaleWidth      =   4815
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Height          =   375
      Left            =   1800
      TabIndex        =   12
      Top             =   4560
      Width           =   1095
   End
   Begin VB.TextBox txtDocumentation 
      Height          =   2085
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   11
      Text            =   "dlgCategoryDependencySpecification.frx":0000
      Top             =   2400
      Width           =   4575
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   1080
      TabIndex        =   10
      Text            =   "txtName"
      Top             =   240
      Width           =   1575
   End
   Begin VB.TextBox txtStereotype 
      Height          =   285
      Left            =   1080
      TabIndex        =   7
      Text            =   "txtStereotype"
      Top             =   600
      Width           =   1575
   End
   Begin VB.TextBox txtSupplier 
      ForeColor       =   &H80000011&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   5
      Text            =   "txtSupplier"
      Top             =   1800
      Width           =   4575
   End
   Begin VB.TextBox txtClient 
      BackColor       =   &H00FFFFFF&
      ForeColor       =   &H80000011&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   3
      Text            =   "txtClient"
      Top             =   1200
      Width           =   4575
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3600
      TabIndex        =   1
      Top             =   4560
      Width           =   1095
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   4560
      Width           =   1095
   End
   Begin VB.Label lblSupplierName 
      Caption         =   "lblSupplierName"
      Height          =   255
      Left            =   3360
      TabIndex        =   14
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label lblLblSupplierName 
      Caption         =   "Class:"
      Height          =   255
      Left            =   2760
      TabIndex        =   13
      Top             =   240
      Width           =   495
   End
   Begin VB.Label lblDocumentation 
      Caption         =   "Documentation:"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   2160
      Width           =   1935
   End
   Begin VB.Label lblName 
      Caption         =   "Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   240
      Width           =   615
   End
   Begin VB.Label lblStereotype 
      Caption         =   "Stereotype:"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   600
      Width           =   855
   End
   Begin VB.Label lblSupplier 
      Caption         =   "Supplier:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1560
      Width           =   1935
   End
   Begin VB.Label lblClient 
      Caption         =   "Client:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   1815
   End
End
Attribute VB_Name = "dlgCategoryDependencySpecification"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private theCategoryDependency As RoseCategoryDependency

Public Sub MyShow(aCategoryDependency As RoseCategoryDependency)
    Load dlgCategoryDependencySpecification
    Set theCategoryDependency = aCategoryDependency
    Dim name As String
    If theCategoryDependency.name = "" Then
        name = "<unnamed>"
    Else
        name = theCategoryDependency.name
    End If
    dlgCategoryDependencySpecification.Caption = "CategoryDependency Specification for " & name
    
    txtName = theCategoryDependency.name
    lblSupplierName = theCategoryDependency.SupplierName
    txtStereotype = theCategoryDependency.Stereotype
    txtClient = theCategoryDependency.GetClient().GetQualifiedName()
    txtSupplier = theCategoryDependency.GetSupplier().GetQualifiedName()
    txtDocumentation = theCategoryDependency.Documentation
    
    dlgCategoryDependencySpecification.Show vbModal
End Sub

Private Sub cmdApply_Click()
    theCategoryDependency.name = txtName
    theCategoryDependency.Stereotype = txtStereotype
    theCategoryDependency.Documentation = txtDocumentation
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    cmdApply_Click
    cmdCancel_Click
End Sub

